[Testing Update] 2020-04-21 - Kernels, OpenSSL, Firefox-Dev, Pamac 9.5b, Haskell, Python

Hello community,

After a long week of development we fast-tracked all packages to testing branch. With this, we have some interesting updates for you!


The pandemic is everywhere. We hope with extra donations we can make the world a better place! #stayhome, #staysave, #stayhealthy

  • Some of our Kernels got updated. Note: 5.5 kernel series reached End-Of-Life
  • Security-Fix for openssl
  • Firefox-Developer-Edition is now at 76.0b6
  • Small update to Pamac 9.5-beta
  • The usual Haskell and Python updates

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our second release-candidate of Manjaro Lysia 20.0! XFCE, KDE and Gnome


Upstream notice

Arch updated their default compression to zstd. We adopted to the same standard. More and more packages will have the zst extension from now on. If you get for what ever reason an error with ZSTD not supported as archive format you can do this:

sudo pacman -Syy
sudo pacman -S pacman-static
sudo pacman-static -Syyu

Our current supported kernels

  • linux316 3.16.82
  • linux44 4.4.219
  • linux49 4.9.219
  • linux414 4.14.176
  • linux419 4.19.117
  • linux54 5.4.34
  • linux55 5.5.19 EOL
  • linux56 5.6.6
  • linux57 5.7-rc2
  • linux54-rt 5.4.28_rt19
  • linux56-rt 5.6.4_rt3

Package Changes (Mon Apr 20 10:26:24 CEST 2020)

:: Sync-Packages

  • testing core x86_64: 4 new and 4 removed package(s)
  • testing multilib x86_64: 1 new and 1 removed package(s)
  • testing extra x86_64: 16 new and 16 removed package(s)
  • testing community x86_64: 321 new and 319 removed package(s)

:: Overlay-Packages

  • testing community x86_64: 4 new and 4 removed package(s)
  • testing core x86_64: 14 new and 13 removed package(s)
  • testing extra x86_64: 95 new and 95 removed package(s)

Details of this package update can be found here: Sync (Core,Extra,Multilib), Sync (Community), Overlay

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

11 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed

Thunderbird might throw an error of older version available.

Use $ thunderbird --allow-downgrade from a terminal to fix it.

Older issues

HP Device Manager


Pamac stuck at "Preparing..."

Users have reported issues with the recent release candidate of Pamac 9.4.0 when initiating transactions, being stuck at "Preparing..." without being able to cancel the transaction and quit Pamac normally.

For now, it is recommended to use pacman to do package management until this issue is solved and Pamac become usable again. Please test out upcoming updates for Pamac to see if the issue becomes solved or not.

If you are stuck in "Preparing...", you will have to manually kill the pamac-managerprocess.

Reported on Gitlab:
https://gitlab.manjaro.org/applications/pamac/issues/757

Upgrading firewalld package to 0.8.1-2 requires manual intervention

Please read this announcement if you have file conflicts when trying to upgrade firewalld package to 0.8.1-2.

Firewalld requires manual intervention

khotkeys identified as an orphaned package

You can remove that package, but might loose some functionality with your key-bindings. We made it now optional to be installed.


Weird font glitches (see screenshots below).

If you have weird glitches like below...

Screenshots

Screenshot%20from%202020-01-16%2023-59-49
string3
strings%20mismatch
post%20transaction%20hooks

... have you tried turning it off and on again?

More seriously, so far, people that reported to have such issue noticed that the problem goes away at next boot.


Installing xorgproto (2019.2-2) breaks dependency of a package

If you run into an issue because of xorgproto please DON'T follow the Arch suggestion as Manjaro uses the xorgproto-transfer package to make this automatic. If you have an issue, please report and wait for an update from us!

AUR Rebuilds required after updating python 3.7 to 3.8

Packages that depend on python from the AUR will need to be rebuilt after everything else has been updated. You can rebuild some of them with the following:

sudo pacman -S --needed --noconfirm expac yay
yay -S --rebuildtree $(pacman -Qmq $(expac %N python))

You can find other packages that need to be rebuilt by looking at the folders/files in

/usr/lib/python3.7/site-packages/

To find out what package owns a folder/file in that, you can use the following:

pacman -Qo folder_or_filename

If no package owns a file, it can probably be ignored.


System Settings and kinfocenter crash when entering Night Color settings randomly

Remove entire [NightColor] section of ~/.config/kwinrc
No solution yet ─ please edit as soon as a workaround is found.

xfce4-power-manager does not open / upower fails

Install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with upower 0.99.11-1 on kernels 4.4 and 4.9.


xfce4-terminal / guake / gnome-terminal does not open

Update to vte3 0.58.2-1 or install kernel 4.14 or higher (4.14, 4.19, 5.2 [EOL], 5.3)

There is an issue with vte3 0.58.1-1 on kernels 4.4 and 4.9.


Replace linux52 with community/linux-latest ?

linux52 is EOL and has been removed from the repositories. It will be replaced by a metapackage which will from now on keep you on a maintained kernel.

If you want to keep the old kernel and modules then include them in your pacman.conf's IgnorePkg.


Pamac-Qt is not compatible to 9.0 API of Pamac

Pamac Qt 0.3 pre-RC: Towards the release, needs help in testing


gnome-shell-extension-desktop-icons

the pkgver 19.10.1 ship with an hook to remove the capability from gnome-shell. A message is present during install but essentially you need to reboot the system to show correctly the icons in the desktop. More info here

Is @oberon doing well? :open_mouth:

I'm perfeclty fine, thank you! :blush:
Had a light infection with corona virus with hardly any symptoms but now have antibodies I can donate for treatment in intensive care and for research. Cheers!

31 Likes

All is perfect thank you very much !!

A bit curious as why wine is been put aside now after keeping it up to date in previous updates. The new version 5.6 has been out for 2 weeks and I have been asking for an update. There isn't much to do beside compiling it. Here are all the fixes implemented (38) :

https://www.winehq.org/announce/5.6

Asking who? wine is an Arch package. Both wine and winehq are flagged out of date. I'm not sure why they haven't updated yet.

linux56 5.6.6

old ERROR -

kernel: BUG: kernel NULL pointer dereference, address: 0000000000000026
kernel: #PF: supervisor read access in kernel mode
kernel: #PF: error_code(0x0000) - not-present page

Occured after rebooting - gone after rebooting with "fallback initramfs" in GRUB-menu...

No. It is still not updated on Archlinux. Its maintainer is Felix Yan which is also Deepin packages one. https://www.archlinux.org/packages/?maintainer=felixonmars

Felix is from Wuhan. It is great that he even packages still ...

8 Likes

Is it amdgpu related? Look here. Please compile the kernel locally on your end and add this patch.

Is it amdgpu related?

Alles gut. "fallback initramfs" did the trick. Alles palletie. Everything works (AMD-GPU/Ryzen-CPU)
Thanks for the link.
Don´t panik NOW --> count to ten!
Kernel 5.6.6-1 is working as ("hoped" or) expected.
patch: I understand: oh, my Samsung NVME 970 PRO may be too fast :innocent:

Glad it did not impact you that much. :slight_smile:

Hello,

Update is fine, but a problem exist with dkms moduel and kernel 5.6 / 5.7.
I use dkms module bcwc-pcie/r242.ea832ac and the build is OK with kernel 5.4 and 5.5 but for kernel 5.6 and 5.7 the build fail.
It's a AUR package so the problem is perhaps the module.
Fred

Indeed. Let's hope the best for him!

3 Likes

Chromium in Testing wird angegriffen - addons werden deaktiviert
Chromium in testing is under attack - addons get deactivated
Chromium (81.0.4044.122-1 ) in repos is o.K.

wine has since been updated on Archlinux and is in the pipeline.

1 Like

Well who ever responsible and I can get their attention to. :wink:

Thank you.

Yeah.. something went weird in Chromium apart from the add-ons deactivated, my system cpu went overloaded (94%) and decided to try Vivaldi which did not happen the same ( added all extensions and add-ons and cpu is working regular load level).

Just in time for the updaye from Vivaldi 2.11 to 3.0. You'll love it.

Forum kindly sponsored by